---
title: AnimationPlaybackEvent.currentTime
slug: Web/API/AnimationPlaybackEvent/currentTime
tags:
  - API
  - Animation
  - AnimationPlaybackEvent
  - Attribute
  - Experimental
  - Property
  - Reference
  - currentTime
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <strong><code>currentTime</code></strong> read-only property of the <code>{{domxref("AnimationPlaybackEvent")}}</code> interface represents the current time of the animation that generated the event at the moment the event is queued. This will be unresolved if the animation was <code>idle</code> at the time the event was generated.</p>

<h2 id="Value">Value</h2>

<p>A number representing the current time in milliseconds, or <code>null</code>.</p>

<h2 id="Reduced_time_precision">Reduced time precision</h2>

<p>To offer protection against timing attacks and fingerprinting, the precision of <code>playbackEvent.currentTime</code> might get rounded depending on browser settings.<br>
 In Firefox, the <code>privacy.reduceTimerPrecision</code>  preference is enabled by default and defaults to 20us in Firefox 59; in 60 it will be 2ms.</p>

<pre class="brush: js">// reduced time precision (2ms) in Firefox 60
playbackEvent.currentTime;
// 23.404
// 24.192
// 25.514
// ...

// reduced time precision with `privacy.resistFingerprinting` enabled
playbackEvent.currentTime;
// 49.8
// 50.6
// 51.7
// ...
</pre>

<p>In Firefox, you can also enabled <code>privacy.resistFingerprinting</code>, the precision will be 100ms or the value of <code>privacy.resistFingerprinting.reduceTimerPrecision.microseconds</code>, whichever is larger.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationplaybackevent-currenttime', 'AnimationPlaybackEvent.currentTime' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationPlaybackEvent.currentTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationPlayBackEvent")}}</li>
</ul>
